Bug 219889 - Review Request: bootchart - a utility for profiling the boot process
Review Request: bootchart - a utility for profiling the boot process
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-15 17:47 EST by John (J5) Palmieri
Modified: 2013-03-13 00:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 13:09:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
caillon: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description John (J5) Palmieri 2006-12-15 17:47:08 EST
Spec URL: http://people.freedesktop.org/~johnp/bootchart.spec
SRPM URL: http://people.freedesktop.org/~johnp/bootchart-0.9-1.src.rpm

Description: 

A tool for performance analysis and visualization of the GNU/Linux boot
process. Resource utilization and process information are collected during
the boot process and are later rendered in a PNG, SVG or EPS encoded chart.
Comment 1 Anthony Green 2006-12-20 17:47:51 EST
Hi John.  I'll review this package.

Does this package really need a javadoc subpackage?  It's an application, not a
development library, right?

Also, I don't think System/Benchmark is a valid Group tag for Extras.  Maybe
this should be Applications/System.
Comment 2 Anthony Green 2007-02-23 11:59:03 EST
Hi John,

  It's been a couple of months now.  Do you want to abandon this package review?

AG
Comment 3 Adam Jackson 2007-04-24 12:03:30 EDT
If it does get abandoned, I'll be happy to pick it up.
Comment 4 Jason Tibbitts 2007-06-05 14:54:31 EDT
So it's been another six weeks; I think this should be closed, and I'll do so in
a week if there's no further response.
Comment 5 John (J5) Palmieri 2007-06-05 15:06:41 EDT
sorry, been really busy.  javadoc is there to be a bit more kind for space
requirements since I work on a  space limited project.  You don't always need
the docs around.  I would actually like to see most of Fedora be a little more
finegrained when it comes to packaging.  I'll change the group to
Applications/System.  Any other issues with the package?
Comment 6 Jason Tibbitts 2007-07-06 12:54:32 EDT
Currently it seems as if Andy Green is reviewing this, but he hasn't responded.
 I'll set needinfo.

Andy, if you are reviewing this, please set fedora-review to '?'.  Or if you
don't want to continue reviewing this, go ahead and assign it back to
nobody@fedoraproject.org so someone else can take it.
Comment 7 Anthony Green 2007-07-06 13:07:36 EDT
(In reply to comment #6)
> Currently it seems as if Andy Green is reviewing this, but he hasn't responded.
>  I'll set needinfo.
> 
> Andy, if you are reviewing this, please set fedora-review to '?'.  Or if you
> don't want to continue reviewing this, go ahead and assign it back to
> nobody@fedoraproject.org so someone else can take it.

(I think you mean "Anthony" Green).  Yes, I'll continue reviewing this.  I don't
know how I missed John's reply.  I'll look at this today.

Comment 8 Adam Jackson 2007-08-15 16:02:36 EDT
This has stalled for a while but I still really want it.  So:

http://ajax.fedorapeople.org/bootchart/

Has new spec and srpm (and noarch rpms).
Comment 9 Christopher Aillon 2007-08-16 13:50:49 EDT
Comandeering this package review...

% rpmlint *rpm
W: bootchart invalid-license GPL
W: bootchart invalid-license GPL
W: bootchart-logger non-standard-group System/Boot
W: bootchart-logger invalid-license GPL

* Please choose one of GPL+, GPLv2, GPLv2+, GPLv3, GPLv3+.  See various mailing
list threads about it.  Also, I'll note that one of the files you install
(/usr/share/doc/bootchart-0.9/LICENSE.compress.txt) mentions the Apache License.
 Might want to figure out what's up with that.

* System Environment/Base seems to be the right group for the logger

* Preserve your file timestamps by using the -p flag to install(1)

* There's a new preferred buildroot of the day, it appears, though you're using
the second-best version of it.  Just figured I'd point that out since it humors me.

* I'll assume this builds under mock.  If it doesn't you'll find out when you
try to build into koji.

* Also, is this package really useful without the logger subpackage?  Might
consider killing the subpackage.
Comment 10 Christopher Aillon 2007-08-16 13:58:59 EDT
Oh and if you don't kill the subpackage, you need to Requires: %{name} from it.
Comment 11 Matthias Clasen 2007-08-16 16:50:59 EDT
Better make that Requires: %{name} = %{version}-%{release}
Comment 12 Adam Jackson 2007-08-16 17:07:27 EDT
(In reply to comment #9)

> * Please choose one of GPL+, GPLv2, GPLv2+, GPLv3, GPLv3+.  See various mailing
> list threads about it.  Also, I'll note that one of the files you install
> (/usr/share/doc/bootchart-0.9/LICENSE.compress.txt) mentions the Apache License.
>  Might want to figure out what's up with that.

Everything looks to be v2+, but then also links against
org.apache.commons.compress.tar, which is Apache 2.0.  So I'm just claiming it's
 GPLv3+ for now.  I'll ask upstream what they really mean though.

> * System Environment/Base seems to be the right group for the logger

Done.

> * Preserve your file timestamps by using the -p flag to install(1)

Done.

> * There's a new preferred buildroot of the day, it appears, though you're using
> the second-best version of it.  Just figured I'd point that out since it
humors me.

Done.

> * I'll assume this builds under mock.  If it doesn't you'll find out when you
> try to build into koji.

Yep.

> * Also, is this package really useful without the logger subpackage?  Might
> consider killing the subpackage.

Yeah, it's sort of backwards.  The core package is the renderer, the logger is
the init wrapper.  I could do it as bootchart / bootchart-renderer I guess?

The intent is to just have bootchart-logger always active, and let people either
render stuff themselves or go to the web UI for it on bootchart.org.

New packages and spec at the same URL as before.
Comment 13 Christopher Aillon 2007-08-17 01:59:47 EDT
Erm, I see no new packages on several computars...
Comment 14 Adam Jackson 2007-08-24 18:34:34 EDT
Sorry, was late about it.  Current build:

http://ajax.fedorapeople.org/bootchart/bootchart.spec
http://ajax.fedorapeople.org/bootchart/bootchart-0.9-4.fc8.src.rpm

Folds the subpackages together just for the hell of it, and applies gcj
precompilation (patch from overholt).
Comment 15 Christopher Aillon 2007-08-27 11:23:02 EDT
Cool.

* Pick one syntax format for your if blocks in %post and %postun
* Consider %{_sysconfdir} for /etc and %{_sbindir} for /sbin
* %define boottitle is unused?
* Url tag -> URL (personal nit).

Comment 16 Adam Jackson 2007-08-27 11:50:41 EDT
Fixed those locally, they'll show up in the import.

Except for the sbin thing, since %{_sbindir} is /usr/sbin; once I remember what
the macro for /sbin is, I'll fix that.

New Package CVS Request
=======================
Package Name: bootchart
Short Description: A utility for boot time profiling
Owners: ajax
Branches: 
InitialCC: 
Cvsextras Commits:
Comment 17 Kevin Fenzi 2007-08-27 12:39:55 EDT
cvs done. 
Comment 18 Adam Jackson 2007-08-27 13:09:20 EDT
Imported, building 0.9-5.fc8 now.  Thanks!
Comment 19 Matthias Saou 2007-09-01 12:04:19 EDT
Removing old FE-REVIEW blocker.

Note You need to log in before you can comment on or make changes to this bug.